Summary: ipmasqadm utility
Name: ipmasqadm
%define version 0.4.2
Version: %{version}
Release: 3tr
Copyright: GPL 
Group: Network/Administration
Source: http://juanjox.kernelnotes.org/ipmasqadm-%{version}.tar.gz
Patch0: ipmasqadm.patch
BuildRoot: /var/tmp/%{name}
%description
This tool allows ipmasq addtional setup, it is needed if you 
want to activate port forwarding or auto forwarding in 2.1 kernels.

%prep
%setup 

%patch0 -p1

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/lib/ipmasqadm
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
chmod 700 $RPM_BUILD_ROOT/usr/lib/ipmasqadm
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/man/man8/ipmasqadm.8 $RPM_BUILD_ROOT/usr/share/man/man8/ipmasqadm.8

chmod 755 $RPM_BUILD_ROOT/usr/sbin/ipmasqadm
strip $RPM_BUILD_ROOT/usr/sbin/ipmasqadm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc doc/* ChangeLog
/usr/share/man/man8/ipmasqadm.8*
/usr/sbin/ipmasqadm
%dir /usr/lib/ipmasqadm
/usr/lib/ipmasqadm/portfw.so
/usr/lib/ipmasqadm/autofw.so
/usr/lib/ipmasqadm/mfw.so

%Changelog
* Tue Aug 23 2000 Per Ivar Paulsen <perp@trustix.com>
- First release for TSL and XSentry firewall.
